package io.renren.modules.app.dao;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.SfdwEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XmEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzmxEntity;
import io.renren.modules.app.entity.ZhxxEntity;
import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 维修资金分配
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface WxzjfpDao extends BaseMapper<ZhxxEntity> {
	// 根据开发单位和开发项目的编码列出对应的幢号信息
	List<ZhxxEntity> queryByPagelb(ZhxxEntity zhxxEntity);

	//
	void updatebydhbm(ZhxxEntity zhxxEntity);

	void insertywpz(ZhxxEntity zhxxEntity);

	// 维修资金分配查询
	List<YwpzEntity> queryByPage(YwpzEntity ywpzEntity);

	// 下拉框查询
	List<XlkEntity> selectdw();

	List<XlkEntity> selectxq();

	List<XlkEntity> selectlz(String id);

	List<XlkEntity> selectxmbydw(String id);

	List<XlkEntity> selectkm();

	XlkEntity selectkmmc(String id);

	List<XlkEntity> selectxmbyxq(String id);

	// 通过幢号编码查yjyjje
	YwpzEntity selectwxjjyj(String id);

	// 保存
	void insertfp(YwpzEntity ywpzEntity);

	// 保存的时候将分配的金额存入该楼幢的dwyjje字段
	void updatefpje(YwpzEntity ywpzEntity);

	void updatefp(String id);

	void deletedj(String id);

	void insertyjmx(YwpzEntity ywpzEntity);

	YwpzEntity selectdj(Map<String, String> map);

	List<DhbmyjEntity> selectyjmx(Map<String, String> map);

	void deletefpywpz(String id);

	List<YwpzEntity> selectyjmxd(String id);

	void updatezhxx(String id);

	List<FwxxEntity> selectfwxxbydhbm(String dhbm);

	void insertywpzmx(YwpzmxEntity ywpzmxEntity);

	void updatefwxxdwje(FwxxEntity fwxxEntity);

	void deleteywpzmx(String id);

	SfdwEntity selectdwxx(String id);

	void updatedwzckje(SfdwEntity sfdwEntity);

	YwpzEntity selectywpz(String id);

	String queryByCount(String date);

	ZhxxEntity selectdqye(String id);

	void updatezhxxdqye(ZhxxEntity zhxxEntity);
	
	FwxxEntity selectfwxxdqye(String id);

	void updatefwxxdqye(FwxxEntity fwxxEntity);
	
	int selectsfyfw(String id);
	
	void updatezhxxdwze(ZhxxEntity zhxxEntity);
}
